Page MenuHomeFreeBSD

Switch from clang33 to clang34 for gnustep/objc/compiler11 on freebsd 8
ClosedPublic

Authored by antoine on Oct 11 2014, 12:01 PM.

Details

Summary

See PR 193555
According to reporter
When a port has USES=compiler:c++11-lang on FreeBSD 8.4R it pulls lang/clang33. However, the version provided by the port is quite buggy. Unlike clang 3.3 in base of 10.0R it doesn't contain many fixes, like LLVM PRs 12250, 15840, 16038, 16562, 16727, 16785, 17461/16474, 17026, 18098 and many more.
LLVM/Clang release engineering improved starting with 3.4.x series and they now have point releases. Recently, lang/clang34 was updated 3.4.0 -> 3.4.3. Let's stop depending on Clang X.Y.0 releases by default like we already do for USE_GCC=yes.

Test Plan

Exp-run on freebsd 8

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

antoine updated this revision to Diff 1962.Oct 11 2014, 12:01 PM
antoine retitled this revision from to Switch from clang33 to clang34 for gnustep/objc/compiler11 on freebsd 8.
antoine updated this object.
antoine edited the test plan for this revision. (Show Details)

It seems that freebsd 9.1 has clang 3.1 in base, so it will have to be tested there too.

bapt accepted this revision.Oct 14 2014, 11:07 PM
bapt added a reviewer: bapt.
This revision is now accepted and ready to land.Oct 14 2014, 11:07 PM
antoine updated this revision to Diff 1990.Oct 15 2014, 7:38 AM
antoine edited edge metadata.

Use clang34 for libobjc2 too

antoine abandoned this revision.Oct 15 2014, 1:29 PM

This won't work, http://svnweb.freebsd.org/base?view=revision&revision=263998 was never merged back to freebsd 8 and is merged in 9 only in 9.3

antoine reclaimed this revision.Oct 15 2014, 2:49 PM

resurect, i will see if adding CFLAGS+=-fno-ms-extensions can help

This revision is now accepted and ready to land.Oct 15 2014, 2:49 PM
antoine updated this revision to Diff 2031.Oct 18 2014, 11:36 AM

Updated patch that passes exp-runs

antoine closed this revision.Oct 18 2014, 6:14 PM
antoine updated this revision to Diff 2042.

Closed by commit rP371153 (authored by @antoine).